aboutsummaryrefslogtreecommitdiff
path: root/automated/linux/igt
diff options
context:
space:
mode:
authorArthur She <arthur.she@linaro.org>2020-10-11 22:03:00 -0700
committerArthur She <arthur.she@linaro.org>2020-10-12 07:28:40 -0700
commit551cd10b0f7e8e4028a78ac5a918e9c9a1bb41a5 (patch)
tree7ca6c41ee33417738898ee67bcc0cbfa98dcda95 /automated/linux/igt
parent95c415454d93ace674bd7c7f783b8f02cffde284 (diff)
igt: run tests through igt_runner to avoid dmesg-warn
Previously, we run the tests through run-tests.sh which maintains good compatibility with piglit and igt_runner. However, some test results were overridden to dmesg-warn/dmesg-fail, due to some kernel message. These test results were not recognized by LAVA. To avoid it, we can run tests through igt_runner with "--dmesg-warn-level 0" argument. Since Aug 8th 2018, the igt_runner has been included in the igt-gpu-tools. We can run tests with it and no need piglit. This patch removes piglit related code and runs tests through igt_runner directly. Signed-off-by: Arthur She <arthur.she@linaro.org>
Diffstat (limited to 'automated/linux/igt')
-rwxr-xr-xautomated/linux/igt/igt-test.sh31
1 files changed, 11 insertions, 20 deletions
diff --git a/automated/linux/igt/igt-test.sh b/automated/linux/igt/igt-test.sh
index 961cf18c..a7514a9a 100755
--- a/automated/linux/igt/igt-test.sh
+++ b/automated/linux/igt/igt-test.sh
@@ -3,6 +3,8 @@
RESULT_LOG="result.log"
DUMP_FRAMES_DIR="/root/dump-frames"
+export IGT_TEST_ROOT="/usr/libexec/igt-gpu-tools"
+
generate_igtrc() {
cd "$HOME" || exit 1
@@ -26,16 +28,7 @@ generate_chamelium_testlist() {
echo "Generate Chamelium test list"
TEST_LIST=igt-chamelium-test.testlist
# Skip Display Port/VGA and Suspend/Hibrnate related tests
- ${TEST_SCRIPT} -l | grep chamelium | grep -v "dp\|vga\|suspend\|hibernate" | tee "${IGT_DIR}"/"${TEST_LIST}"
-}
-
-download_piglit() {
- # Download Piglit
- git config --global http.postBuffer 157286400
- if [ ! -d "${IGT_DIR}/piglit" ]; then
- echo "Download Piglit.."
- time ${TEST_SCRIPT} -d
- fi
+ ${TEST_RUNNER} --list-all | grep chamelium | grep -v "dp\|vga\|suspend\|hibernate" | tee "${IGT_DIR}"/"${TEST_LIST}"
}
usage() {
@@ -53,25 +46,23 @@ while getopts ":c:h:d:t:" opt; do
esac
done
+TEST_RUNNER="${IGT_DIR}/runner/igt_runner"
+
if [ -z "${IGT_DIR}" ] || [ -z "${TEST_LIST}" ]; then
usage
fi
+if [ ! -f "${TEST_RUNNER}" ]; then
+ echo "Can not find ${TEST_RUNNER}"
+ exit 1
+fi
+
if [ "${TEST_LIST}" = "CHAMELIUM" ]; then
if [ -z "${CHAMELIUM_IP}" ] || [ -z "${HDMI_DEV_NAME}" ]; then
usage
fi
fi
-TEST_SCRIPT="${IGT_DIR}/scripts/run-tests.sh"
-
-export IGT_TEST_ROOT="/usr/libexec/igt-gpu-tools"
-
-if [ ! -f "${IGT_DIR}/runner/igt_runner" ]; then
- ${TEST_SCRIPT} --help | grep -q '\-p' && TEST_SCRIPT="${TEST_SCRIPT} -p"
- download_piglit
-fi
-
if [ "${TEST_LIST}" == "CHAMELIUM" ]; then
echo "Going to run igt Chamelium test"
if [ ! -f "$HOME/.igtrc" ]; then
@@ -86,5 +77,5 @@ fi
# Run tests
echo "Run ${TEST_LIST}"
-${TEST_SCRIPT} -T "${IGT_DIR}"/"${TEST_LIST}" -v | tee tmp.log
+${TEST_RUNNER} --dmesg-warn-level 0 --test-list "${IGT_DIR}"/"${TEST_LIST}" --log-level verbose "${IGT_DIR}"/results | tee tmp.log
grep -e '^pass' -e '^skip' -e '^fail' tmp.log|awk -F':\ ' '{print $2" "$1}' > ${RESULT_LOG}